C=====G1-COEFFICIENTS IN HFD-EQUATION=====
      REAL*8 FUNCTION RG1(K,JA,JB,Q1,Q2)
      INTEGER K,Q1,Q2
      REAL*8 A,JA,JB,AK
      RG1=0.
C     PRINT 10,JA,JB,K,Q1,Q2
C10   FORMAT(' JA,JB,K,Q1,Q2 ',2E10.5,3I4)
      AK=DFLOAT(K)
      CALL IOT3(JA,AK,JB,-0.5D+00,0.D+00,0.5D+00,A)
      RG1=DFLOAT( Q1*Q2)*A*A
      RETURN
      END
